#
# spec file for package perl-Carton
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Carton
Version:        1.0.28
Release:        lp151.2.1
%define cpan_name Carton
Summary:        Perl module dependency manager (aka Bundler for Perl)
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Carton/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::cpanminus) >= 1.703
BuildRequires:  perl(CPAN::Meta) >= 2.120921
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121000
BuildRequires:  perl(Class::Tiny) >= 1.001
BuildRequires:  perl(Getopt::Long) >= 2.39
BuildRequires:  perl(JSON) >= 2.53
BuildRequires:  perl(Module::CPANfile) >= 0.9031
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Metadata) >= 1.000003
BuildRequires:  perl(Module::Reader) >= 0.002
BuildRequires:  perl(Path::Tiny) >= 0.033
BuildRequires:  perl(Try::Tiny) >= 0.09
BuildRequires:  perl(parent) >= 0.223
BuildRequires:  perl(version) >= 0.77
Requires:       perl(App::cpanminus) >= 1.703
Requires:       perl(CPAN::Meta) >= 2.120921
Requires:       perl(CPAN::Meta::Requirements) >= 2.121000
Requires:       perl(Class::Tiny) >= 1.001
Requires:       perl(Getopt::Long) >= 2.39
Requires:       perl(JSON) >= 2.53
Requires:       perl(Module::CPANfile) >= 0.9031
Requires:       perl(Module::CoreList)
Requires:       perl(Module::Metadata) >= 1.000003
Requires:       perl(Module::Reader) >= 0.002
Requires:       perl(Path::Tiny) >= 0.033
Requires:       perl(Try::Tiny) >= 0.09
Requires:       perl(parent) >= 0.223
Recommends:     perl(App::FatPacker) >= 0.009018
Recommends:     perl(File::pushd)
%{perl_requires}

%description
carton is a command line tool to track the Perl module dependencies for
your Perl application. Dependencies are declared using cpanfile format, and
the managed dependencies are tracked in a _cpanfile.snapshot_ file, which
is meant to be version controlled, and the snapshot file allows other
developers of your application will have the exact same versions of the
modules.

For 'cpanfile' syntax, see cpanfile documentation.

%prep
%setup -q -n %{cpan_name}-v%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat May 28 2016 coolo@suse.com
- updated to 1.0.28
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.28  2016-05-23 22:30:48 PDT
  - Emit the line when parser error happened
  v1.0.27  2016-05-23 12:34:58 PDT
  - revert v1.0.25 undef special casing
  v1.0.26  2016-05-21 20:29:11 PDT
  - Make sure 'undef' and '0' are encoded properly writing 02packages as well
  v1.0.25  2016-05-21 20:21:22 PDT
  - Handle 'undef' in snapshot and 02packages, separate from '0'
  v1.0.24  2016-05-08 11:56:14 PDT
  - Same as v1.0.23, repackaging
  v1.0.23  2016-05-08 11:50:00 PDT
  - Update FAQ to use with perlbrew #202
  - Update github URL
  - Fix regular expression warnings in perl 5.22 #204
* Sun Aug 23 2015 coolo@suse.com
- updated to 1.0.22
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.22  2015-08-11 22:17:44 PDT
  - Fixed a bug where carton update gives an error when there's nothing to update
  - Update a link to point to the new IRC chatroom #cpanm on irc.perl.org
* Sat May 16 2015 coolo@suse.com
- updated to 1.0.21
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.21  2015-05-15 12:21:47 PDT
  - Changed Module::Reader dependency to requires for now, since it will be required
    on the runtime by the fatpacked carton.
* Sat May  9 2015 coolo@suse.com
- updated to 1.0.20
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.20  2015-05-08 16:20:37 PDT
  - INCOMPATIBLE: Disable fatpack generation in carton bundle by default.
    Use the new standalone command carton fatpack, to generate vendor/bin/carton
* Sat May  2 2015 coolo@suse.com
- updated to 1.0.19
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.19  2015-05-01 17:48:06 PDT
  - Remove Module::Build and MakeMaker from prerequisite since cpanm will
    install them as required
* Thu Apr 30 2015 coolo@suse.com
- updated to 1.0.18
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.18  2015-04-29 13:46:21 PDT
  - Sort 02packages case insensitive, like PAUSE
* Tue Apr 28 2015 coolo@suse.com
- updated to 1.0.17
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.17  2015-04-27 16:18:04 PDT
  - Add back warnings to Carton::CLI
  - Properly fail when a command is not found in carton exec (hachi) #193
* Sun Apr 26 2015 coolo@suse.com
- updated to 1.0.16
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.16  2015-04-25 06:37:17 PDT
  - update 02packages.details.txt whitespace padding to follow PAUSE
* Tue Apr 21 2015 coolo@suse.com
- updated to 1.0.15
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.15  2015-04-20 11:13:32 CEST
  - downgrade some dependencies for fatpack-related tools to recommends
    (probably ship it as a separate distribution in the future)
* Mon Apr 20 2015 coolo@suse.com
- updated to 1.0.14
  see /usr/share/doc/packages/perl-Carton/Changes
  v1.0.14  2015-04-20 00:07:26 CEST
  - same as v1.0.14
  v1.0.13  2015-04-19 19:38:42 CEST
  - require cpanm 1.7030 for better cpanfile support
  - switch to MakeMaker
  - remove Exception::Class and Moo in favor of Class::Tiny
  - add an ability to set generator in Carton::Index for Carmel use
* Wed Feb 26 2014 coolo@suse.com
- initial package 1.0.12
  * created by cpanspec 1.78.07
